#!/bin/sh

set -e
. ./.common.sh

rm -Rf $DAHDI $DAHDI_ORIG
tar xzf $DAHDI_ORIG.tar.gz
mv $DAHDI_ORIG $DAHDI

(cd $DAHDI/linux/drivers/dahdi/
patch < $CUR_DIR/parabel/dahdi-base.c.patch
patch < $CUR_DIR/parabel/dahdi_dynamic.c.patch
patch < $CUR_DIR/parabel/dahdi_dummy.c.patch
patch < $CUR_DIR/parabel/dahdi_net.patch
# Comment if you don't need OSLEC echo canceller
patch < $CUR_DIR/parabel/enable_oslec.patch
patch < $CUR_DIR/parabel/dahdi_echocan_oslec.c.patch
)
(cd $DAHDI/linux/include/dahdi/
patch < $CUR_DIR/parabel/kernel.h.patch
)
mkdir -p $DAHDI/linux/drivers/staging/echo
cp -Rp oslec/. $DAHDI/linux/drivers/staging/echo

# Disable loading Digium's firmware from website (we don't need it)
sed -i "s|prereq: include/dahdi/version.h firmware-loaders|prereq: include/dahdi/version.h|" $DAHDI/linux/Makefile
sed -i "s|install-firmware install-xpp-firm|install-include|" $DAHDI/linux/Makefile
# Uncomment to enable HDLC support
#sed -i "s|/\* #define CONFIG_DAHDI_NET \*/|#define CONFIG_DAHDI_NET|" $DAHDI/linux/include/dahdi/dahdi_config.h

# Put any additional patches/commands here.
#editor $DAHDI/linux/include/dahdi/dahdi_config.h

(cd $DAHDI
# Uncomment to enable additional DAHDI features (example for tools)
#(cd tools && ./configure --with-dahdi=../linux && make menuselect)

make KVERS=$KVERS
)
